import "./App.css";
import axios from "axios";
import { useState } from "react";
import CreateAccount from "./CreateAccount";
import Login from "./Login"
import { BrowserRouter as Router, Routes, Route, Link } from 'react-router-dom';
import { useLocation } from "react-router-dom";
import Page1 from "./pages/Page1";
import Page2 from "./pages/Page2";
import Page3 from "./pages/Page3";
import Home from "./Home";
import io from 'socket.io-client'; // Add this

// This socket must be connected to the url we are running the server on which is 5000 
const socket = io('http://localhost:5000'); 

// socket.on listens for events and responds with a function we give it, connect is whenever we connect with the server
socket.on("connect", () => {
  // alert(`You connected with id: ${socket.id}`)
})

// socket.emit take any event and sends it to the server, we can name the event what we want, then access it in the server by using that event name
// You can use either emit or on in the client or server, so you can start from either
// You send with emit and recieve with on
socket.emit('custom-event', 10, 'Hi', {a: 'a'})

function App() {

  const [username, setUsername] = useState(''); // Add this
  const [room, setRoom] = useState(''); // Add this

  const [pathname, setPathname] = useState(window.location.pathname)

  const changePathRegister = () => {
    setPathname('/register')
  }

  const changePathLogin = () => {
    setPathname('/login')
  }

  return (
    <div>
      {/* <h1>{pathname}</h1> */}
      {/* <h2>Socket Id: {socket.id}</h2> */}
      {pathname === '/' ? <div className="App">
        <h1>Home Page</h1>
        <button className="register" onClick={changePathRegister}>Create Account</button>
        <button className="login" onClick={changePathLogin}>Login</button>
      </div>
      : <div></div>}

      {pathname === '/register' ? <CreateAccount/> : <div></div>}
      {pathname === '/login' ? <Login/> : <div></div>}
      {/* <Home></Home>      */}
      <br />      
    </div>
  );
}

export default App;
